import { type GetSessionsParams } from './types';

export const sessionsKeys = {
  all: () => ['sessions'],
  sessions: {
    all: () => [...sessionsKeys.all(), 'list'],
    list: (params: GetSessionsParams) => [
      ...sessionsKeys.sessions.all(),
      JSON.stringify(params),
    ],
  },
  detail: (id: number | undefined) => [...sessionsKeys.all(), 'detail', id],
};
